java.net

## Interface SocketImplFactory

    public interface SocketImplFactory

This interface defines a factory for socket implementations. It is used by the classes `Socket` and `ServerSocket` to create actual socket implementations.

Since:
  JDK1.0
See Also:
  `Socket`, `ServerSocket`

### Method Summary

Methods
`SocketImpl` `createSocketImpl()` Creates a new `SocketImpl` instance.

### Method Detail

#### createSocketImpl

    SocketImpl createSocketImpl()

Creates a new `SocketImpl` instance.

Returns:
  a new instance of `SocketImpl`.
See Also:
  `SocketImpl`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.